package com.nailart.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nailart.dataobj.SampleCollectionDO;


public interface SampleCollectionService extends IService<SampleCollectionDO> {
    IPage<SampleCollectionDO> listByPage(int page, int size);
    Integer addSampleCollection(SampleCollectionDO SampleCollectionDO);

    Integer updateSampleCollection(SampleCollectionDO SampleCollectionDO);

    Integer deleteSampleCollection(Integer id);

    IPage<SampleCollectionDO> getSampleCollectionByTag(Long tagID,int page, int size);
}
